Improve Error handling: api-error-unknownerror
Closed, ResolvedPublic

Description

screenshot 1

Error handling should be improved, such error outputs are not helpful for users:
api-error-unknownerror

(screenshots by Nicolas_Raoul via IRC)


Version: master
Severity: major

Attached:

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz66366.
Steinsplitter created this task.Via LegacyJun 9 2014, 12:10 PM
Steinsplitter added a comment.Via ConduitJun 9 2014, 12:11 PM

Created attachment 15600
screenshot 2

Attached:

Nicolas_Raoul added a comment.Via ConduitJun 9 2014, 12:17 PM

Thanks!
Ask me any details, though I guess you can reproduce it easily.

Fastily added a comment.Via ConduitJun 11 2014, 5:37 AM

Overly frequent breakage has been persistent issue which has hampered the upload process for nearly two years now. It's frustrating enough for seasoned users, and I can only imagine the grievances it causes for newbies (*especially* those on slower internet connections and/or those with bandwidth/data caps).

This could possibly be related to bug 36587, which, AFAIK still results in failures when upload speed is throttled to < 1mpbs second.

McZusatz added a comment.Via ConduitJun 11 2014, 2:28 PM

How do you even get to the upload. (I thought file names including a '/' are not allowed)

Nicolas_Raoul added a comment.Via ConduitJun 11 2014, 2:45 PM

@Marco:
See screenshot 2.
Anything seems to be allowed as a title.

McZusatz added a comment.Via ConduitJun 11 2014, 6:04 PM

Created attachment 15628
screenshot 3

Attached is a screenshot taken in my universe.

Attached:

TheDJ added a comment.Via ConduitJun 12 2014, 10:44 AM

@nicolas, what kind of browser and version of the browser do you have ?

Nicolas_Raoul added a comment.Via ConduitJun 12 2014, 12:13 PM

Created attachment 15638
no name checking

Attached:

Nicolas_Raoul added a comment.Via ConduitJun 12 2014, 12:14 PM

Default Firefox 29.0 on fully-updated Ubuntu 2014.04

As seen on screenshot above, no character trigger any warning.

McZusatz added a comment.Via ConduitJun 14 2014, 10:11 AM

I can't reproduce but I think this bug is still valid. I'd guess you received one of the random "API outage errors" (503 et al. , though not sure)

If the above is correct a solution would be to retry once and/or pass a more meaningful error message?

Rillke added a comment.Via ConduitJun 14 2014, 10:41 AM

(In reply to Marco from comment #11)
Issues I see from the screenshot 1:

  1. Looks like a missing MediaWiki message
  2. Title was not validated before submitted
  3. Title is an invalid file title (for uploading) -- can someone please +2 I260ba883548975263bb ?
  1. https://commons.wikimedia.org/wiki/MediaWiki:Api-error-unkownerror does not exist -- don't know whether it's still used anywhere in UploadWizard
  2. Still an issue. UploadWizard asks the TitleBlacklist and Protection for a title in the Gallery namespace, not in the file namespace

action titleblacklist
format json
tbaction create
tbtitle XN Sympetrum sanguineum w prey 658.JPG

action query
format json
iiprop url|mime|size
iiurlwidth 150
inprop protection
prop info|imageinfo
titles XN Sympetrum sanguineum w prey 658.JPG

gerritbot added a comment.Via ConduitJun 14 2014, 11:41 AM

Change 139592 had a related patch set uploaded by Rillke:
Create title in file NS and validate as such

https://gerrit.wikimedia.org/r/139592

Rillke added a comment.Via ConduitJun 14 2014, 11:43 AM

Note that I1ed825b05ea80b41 won't solve the issue that invalid file titles (for uploading) containing slashes are not detected.

Rillke added a comment.Via ConduitJun 14 2014, 11:44 AM

(In reply to Rainer Rillke @commons.wikimedia from comment #14)
... are not detected before finally submitting.

Nicolas_Raoul added a comment.Via ConduitJun 14 2014, 1:26 PM

I can reproduce the error any time, so if there is a way to test any patch, please let me know whenever you want me to test :-)
In particular if there is a kind of "beta server" where I can test the latest development version.

McZusatz added a comment.Via ConduitJun 14 2014, 5:32 PM

(In reply to Nicolas Raoul from comment #16)

I can reproduce the error any time

Do you mean the 'api-error-unknownerror'? (I tried it with FF29 on Ubuntu1404 and I got the same response as seen in screenshot 3 [attachment 15628 ])

Nicolas_Raoul added a comment.Via ConduitJun 15 2014, 5:14 AM

Created attachment 15658
reproduced

Attached:

Nicolas_Raoul added a comment.Via ConduitJun 15 2014, 5:15 AM

@Marco: Yes, reproduced just now, see screenshot above.

Rillke added a comment.Via ConduitJun 15 2014, 6:24 AM

Nicolas Raoul,

  1. Are you using UploadWizard at Wikimedia Commons for reproducing? If not, how does your setup look like. I.e. are you using the titleblacklist?
  2. Does the file system, the file comes from support slashes in file names: Did you change the destination title after uploading or is it the file name? If you changed the file name after uploading, what was the original name of the file?
Nicolas_Raoul added a comment.Via ConduitJun 15 2014, 6:29 AM
  1. Using https://commons.wikimedia.org/wiki/Special:UploadWizard
  1. Filesystem name is amarok-unity-tray-icon.png but I inserted a slash in the "Title" field of the "Describe" step.

I am using the Firefox addons listed in the screenshot below.

Nicolas_Raoul added a comment.Via ConduitJun 15 2014, 6:30 AM

Created attachment 15660
Firefox addons

Attached:

Pine added a comment.Via ConduitJul 2 2014, 6:29 PM

Note: bug 67197 appears to be similar or a duplicate of this bug

McZusatz added a comment.Via ConduitJul 2 2014, 8:50 PM
  • Bug 67197 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitSep 15 2014, 12:24 PM

Change 139592 merged by jenkins-bot:
Create title in file NS and validate as such

https://gerrit.wikimedia.org/r/139592

Tgr added a comment.Via ConduitSep 22 2014, 6:42 PM

(In reply to Steinsplitter from comment #26)

https://commons.wikimedia.org/wiki/Commons:
Upload_help#Receiving_error_at_the_end_of_uploading...

The section was renamed to
https://commons.wikimedia.org/w/index.php?title=Commons:Upload_help&oldid=135156032#Error_at_the_end_of_uploading

and the issue mentioned there is bug 70617.

Steinsplitter added a comment.Via ConduitSep 22 2014, 6:44 PM

(In reply to Tisza Gergő from comment #28)

(In reply to Steinsplitter from comment #26)
> https://commons.wikimedia.org/wiki/Commons:
> Upload_help#Receiving_error_at_the_end_of_uploading...

The section was renamed to
https://commons.wikimedia.org/w/index.php?title=Commons:
Upload_help&oldid=135156032#Error_at_the_end_of_uploading

and the issue mentioned there is bug 70617.

Oh, indeed. Patch merged, *closing this*.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:19 PM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 2 2014, 8:54 AM

Add Comment